import type { Context } from "hono";
import { listMovements } from "../wallets.service";

export async function listMovementsHandler(c: Context) {
  const id = Number(c.req.param("id"));
  const result = await listMovements(id);
  return c.json(result);
}
